<?php
/*
Plugin Name: Feron Core
Plugin URI: https://ex-coders.com/wp/feron/
Description: Plugin to contain short codes and custom post types of the Feron theme.
Author: namespace-it
Author URI: https://themeforest.net/user/namespace-it/portfolio
Version: 1.0.0
Text Domain: feron-core
*/


/**
 * If this file is called directly, abort.
 * @package feron
 * @since 1.0.0
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}


/**
 * Plugin directory path
 * @package feron
 * @since 1.0.0
 */
define( 'FERON_CORE_ROOT_PATH', plugin_dir_path( __FILE__ ) );
define( 'FERON_CORE_ROOT_URL', plugin_dir_url( __FILE__ ) );
define( 'FERON_CORE_SELF_PATH', 'feron-core/feron-core.php' );
define( 'FERON_CORE_VERSION', '1.0.0' );
define( 'FERON_CORE_INC', FERON_CORE_ROOT_PATH .'/inc');
define( 'FERON_CORE_LIB', FERON_CORE_ROOT_PATH .'/lib');
define( 'FERON_CORE_ELEMENTOR', FERON_CORE_ROOT_PATH .'/elementor');
define( 'FERON_CORE_DEMO_IMPORT', FERON_CORE_ROOT_PATH .'/demo-import');
define( 'FERON_CORE_ADMIN', FERON_CORE_ROOT_PATH .'/admin');
define( 'FERON_CORE_ADMIN_ASSETS', FERON_CORE_ROOT_URL .'admin/assets');
define( 'FERON_CORE_WP_WIDGETS', FERON_CORE_ROOT_PATH .'/wp-widgets');
define( 'FERON_CORE_ASSETS', FERON_CORE_ROOT_URL .'assets/');
define( 'FERON_CORE_CSS', FERON_CORE_ASSETS .'css');
define( 'FERON_CORE_JS', FERON_CORE_ASSETS .'js');
define( 'FERON_CORE_IMG', FERON_CORE_ASSETS .'img');


/**
 * Load additional helpers functions
 * @package feron
 * @since 1.0.0
 */
if (!function_exists('feron_core')){
	require_once FERON_CORE_INC .'/theme-core-helper-functions.php';
	if (!function_exists('feron_core')){
		function feron_core(){
			return class_exists('Feron_Core_Helper_Functions') ? new Feron_Core_Helper_Functions() : false;
		}
	}
}
//ob flash
remove_action( 'shutdown', 'wp_ob_end_flush_all', 1 );


/**
 * Load Codestar Framework Functions
 * @package feron
 * @since 1.0.0
 */
if ( !feron_core()->is_feron_active()) {
	if ( file_exists( FERON_CORE_ROOT_PATH . '/inc/csf-functions.php' ) ) {
		require_once FERON_CORE_ROOT_PATH . '/inc/csf-functions.php';
	}
}



/**
 * Core Plugin Init
 * @package feron
 * @since 1.0.0
 */
if ( file_exists( FERON_CORE_ROOT_PATH . '/inc/theme-core-init.php' ) ) {
	require_once FERON_CORE_ROOT_PATH . '/inc/theme-core-init.php';
}